Skip to main content
`Ctrl`+`K`

# ISToGeneral

Converts an IS object of any type to `ISGENERAL` type

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISToGeneral(IS is)

Collective

## Input Parameter

- is - the index set

## See Also

`IS`, `ISSorted()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Implementations

ISToGeneral_Block() in src/vec/is/is/impls/block/block.c
ISToGeneral_General() in src/vec/is/is/impls/general/general.c
ISToGeneral_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages